Skip to main content
POST
Validate inputs against a template

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Path Parameters

code
string
required

Template code, as returned by GET /v1/templates (e.g. steelConnectionHssBeamToHssMomentAISC360-22).

Body

application/json
attributes
object
required

Widget reference IDs and their values to validate

preset
string

Optional preset code to apply defaults before validation

Response

Validation passed

valid
enum<boolean>
Available options:
true
warnings
object[]

Non-fatal warnings (e.g., deprecated fields)